// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;



import edu.wpi.first.wpilibj2.command.Command;

import frc.robot.subsystem.Lanceur;
import frc.robot.subsystem.Limelight;

public class Lancerampli extends Command {
  /** Creates a new Lanceur. */
  private Lanceur lanceur;
  private Limelight limelight;
  public Lancerampli(Lanceur lanceur,Limelight limelight) {
    // Use addRequirements() here to declare subsystem dependencies.
    addRequirements(lanceur);
    this.limelight = limelight;
    this.lanceur = lanceur;
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(limelight.getv()==1){
      lanceur.lanceramp();
    }
    
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    lanceur.lancer(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
